| Class Pair Stores two arbitrary objects.
Pair
Bit Packed Pair | Packed Pair
Pair<T1[, T2[, TSpec]]> Parameters
T1 | The type of the first object.
T2 | The type of the second object. Default: T1
TSpec | The specializing type. Default: void, no packing (faster access).
Specializations
Bit Packed Pair | Stores two arbitrary objects. Saves memory by packing bits with bit fields.
Packed Pair | Stores two arbitrary objects. Saves memory by disabling memory alignment.
Metafunctions
Cargo | Type of additional data stored in an object.
Key | Key type of a key to cargo mapping.
LENGTH | Number of elements in a fixed-size container.
Spec | The spec of a class.
Value | Type of the items in the container or behind an iterator.
Data Members
i1 | T1 object
i2 | T2 object
Member Functions
Pair | Constructor
Functions
getSeqNo | Returns the sequence number of a position.
getSeqOffset | Returns the local sequence offset of a position.
posGlobalize | Converts a local/global to a global position.
posLocalize | Converts a local/global to a local position.
posLocalToX | Converts a local to a local/global position.
Part of Concept AggregateConcept SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:56